Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7194 - does not interoperate with manual rpm or autorpm updates
Summary: does not interoperate with manual rpm or autorpm updates
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-21 09:07 UTC by John Bass
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-29 15:28:24 UTC


Attachments (Terms of Use)

Description John Bass 1999-11-21 09:07:36 UTC
up2date selects packages that have already been previously
installed by another method. If any of these packages are
selected for update in up2date, up2date fails with a message
that the package is already installed.

Comment 1 Preston Brown 1999-11-23 16:16:59 UTC
up2date uses standard RPM database queries to determine the state of your
system.  It doesn't interfere with manual RPM updates or other rpm-based update
systems.

Please give a SPECIFIC example of your problem.

Comment 2 Preston Brown 1999-11-23 18:14:59 UTC
the up2date "menu" of packages is built dynamically.  It should *not* include
packages that you already have installed.

I can't duplicate this behaviour here.  Please give a specific example.  Show
the output of rpm -q <packagename> and then verify that running up2date still
displays that package as available for download and installation.

Comment 3 Preston Brown 1999-11-29 15:28:59 UTC
user had a corrupted RPM database from a buggy version of RPM.  Not an Update
Agent problem.


Note You need to log in before you can comment on or make changes to this bug.